Uploaded image for project: 'Nuxeo Platform'
  1. Nuxeo Platform
  2. NXP-25254

Remove org.nuxeo:nuxeo-ecm prerequisites deprecated as of Maven 3

    XMLWordPrintable

    Details

    • Type: Clean up
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 5.9.2
    • Fix Version/s: 10.2
    • Component/s: Infrastructure

      Description

      The prerequisites is now useless (ignored by recent versions) and generates a warning. Remove it.
      The requirement is already covered by Maven Enforcer Plugin's requireMavenVersion rule.

      [WARNING] The project org.nuxeo:nuxeo-ecm:pom:10.2-SNAPSHOT uses prerequisites which is only intended for maven-plugin projects but not for non maven-plugin projects. For such purposes you should use the maven-enforcer-plugin. See https://maven.apache.org/enforcer/enforcer-rules/requireMavenVersion.html

      https://maven.apache.org/pom.html#Prerequisites

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                jcarsique Julien Carsique
                Reporter:
                jcarsique Julien Carsique
                Participants:
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  PagerDuty

                  Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.